Bug 962747 - Unwanted direct dep on mysql-libs and expat and wrong perms on service file.
Unwanted direct dep on mysql-libs and expat and wrong perms on service file.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mediatomb (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 07:28 EDT by Terje Røsten
Modified: 2013-05-25 08:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: mediatomb-0.12.1-28.fc17.20120403gitb66dc1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 16:47:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2013-05-14 07:28:13 EDT
Description of problem:

mediatomb links against mysql and expat and rpmbuild picks up the deps:

libmysqlclient.so.18, libmysqlclient.so.18(libmysqlclient_16) and
libexpat.so.1

However, mediatomb also have a direct dep on mysql-libs and expat

Requires: mysql-libs, expat

There are no need for these explicit reqs.

Ref: http://koji.fedoraproject.org/koji/rpminfo?rpmID=3921658

rpmlint error:

mediatomb.x86_64: E: explicit-lib-dependency mysql-libs

mediatombs also installs service with execute bit, that's wrong,
it's a config file which correct perms is 0644.

mediatomb.x86_64: E: script-without-shebang /usr/lib/systemd/system/mediatomb.service
Comment 1 Fedora Update System 2013-05-14 08:07:35 EDT
mediatomb-0.12.1-27.fc19.20120403gitb66dc1 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mediatomb-0.12.1-27.fc19.20120403gitb66dc1
Comment 2 Fedora Update System 2013-05-14 08:08:31 EDT
mediatomb-0.12.1-27.fc18.20120403gitb66dc1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mediatomb-0.12.1-27.fc18.20120403gitb66dc1
Comment 3 Fedora Update System 2013-05-14 08:09:21 EDT
mediatomb-0.12.1-27.fc17.20120403gitb66dc1 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mediatomb-0.12.1-27.fc17.20120403gitb66dc1
Comment 4 Terje Røsten 2013-05-14 09:36:59 EDT
Thanks!
Comment 5 Fedora Update System 2013-05-14 13:46:57 EDT
Package mediatomb-0.12.1-27.fc19.20120403gitb66dc1:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mediatomb-0.12.1-27.fc19.20120403gitb66dc1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8159/mediatomb-0.12.1-27.fc19.20120403gitb66dc1
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-05-14 15:33:32 EDT
mediatomb-0.12.1-28.fc19.20120403gitb66dc1 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mediatomb-0.12.1-28.fc19.20120403gitb66dc1
Comment 7 Fedora Update System 2013-05-24 16:47:42 EDT
mediatomb-0.12.1-28.fc19.20120403gitb66dc1 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-05-25 07:59:26 EDT
mediatomb-0.12.1-28.fc18.20120403gitb66dc1 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-05-25 08:08:05 EDT
mediatomb-0.12.1-28.fc17.20120403gitb66dc1 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.